package jp.co.asterisk.asreader.a23d.demoapp.util;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

import jp.co.asterisk.asreader.a23d.demoapp.R;


public class CustomSettingAdapter extends ArrayAdapter<CellData> {
    private int resourceId;
    private ArrayList<CellData> mList;
    private LayoutInflater inflater;

    public CustomSettingAdapter(Context context, int layoutResource, ArrayList<CellData> objects) {
        super(context, layoutResource, objects);
        this.resourceId = layoutResource;
        this.mList = objects;
        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        CellData stag = mList.get(position);

        if (convertView == null) {
            convertView = inflater.inflate(resourceId, null);
        }

        if (stag != null) {
            TextView tvSettingName = (TextView) convertView.findViewById(R.id.tvSettingName);
//			TextView tvSettingValue = (TextView) convertView.findViewById(R.id.tvSettingValue);

            tvSettingName.setText(stag.getName());
//			tvSettingValue.setText(stag.getValue());
        }

        return convertView;
    }
}