package jp.co.asterisk.asreader.a23d.demoapp.fragments;

import android.widget.Toast;

import androidx.fragment.app.Fragment;

import jp.co.asterisk.asreader.a23d.demoapp.MainActivity;

public class BaseFragment extends Fragment {

    private static Toast toast = null;

    protected void setTitle(String title) {
        ((MainActivity) requireActivity()).setTitle(title);
    }

    protected void setBackButtonVisibility(int visibility) {
        MainActivity activity = (MainActivity)getActivity();
        if( activity!=null ){
            activity.setBackButtonVisibility(visibility);
        }
    }

    protected void setRightButtonVisibility(int visibility) {
        MainActivity activity = (MainActivity)getActivity();
        if( activity!=null ){
            activity.setRightButtonVisibility(visibility);
        }
    }

    protected void enableActionBar(boolean enable){
        MainActivity activity = (MainActivity)getActivity();
        if( activity!=null ){
            activity.enableActionBar(enable);
        }
    }
    protected void setRightButtonEnabled(boolean enabled) {
        MainActivity activity = (MainActivity)getActivity();
        if( activity!=null ){
            activity.setRightButtonEnabled(enabled);
        }
    }

    protected void setRightButtonText(String text) {
        MainActivity activity = (MainActivity)getActivity();
        if( activity!=null ){
            activity.setRightButtonText(text);
        }
    }

    protected void showToast(String message) {
        if(toast != null) toast.cancel();
        toast = Toast.makeText(getContext(), message, Toast.LENGTH_SHORT);
        toast.show();
    }

    public void onRightButtonClick() {
    }

    public void onBackPressed() {
    }

    public void onConnect(boolean isConnect) {}

    public void onDeviceError(String message) {}

    public void onCompletedPreparation(boolean isPowerOn) {}

    public void onSetReaderSettingSuccess() { }

    public void onBarcodePowerOnBeepChanged(boolean isPowerOnBeep){}

    public void onSetPowerOnSuccess() {}
}
