package jp.co.asterisk.asreader.a23d.demoapp.util;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import jp.co.asterisk.asreader.a23d.demoapp.R;

public class SettingAdapter extends ArrayAdapter<String> {
    private LayoutInflater inflater;

    public SettingAdapter(Context context) {
        super(context, 0);
        inflater = LayoutInflater.from(context);
    }

    @NonNull
    @Override
    public View getView(int position, @Nullable View convertView, @NonNull ViewGroup parent) {
        if (convertView == null) {
            convertView = inflater.inflate(R.layout.list_item_setting, parent, false);
        }

        TextView titleTextView = convertView.findViewById(R.id.title_text_view);
        titleTextView.setText(getItem(position));

        return convertView;
    }
}
